<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\AnswerRepository;
use Illuminate\Http\Request;

class AnswerController extends Controller
{
    protected $answerRepository;

    public function __construct(AnswerRepository $answerRepository)
    {
        $this->answerRepository = $answerRepository;
    }
    public function getAnswers(Request $request)
    {
        return $this->answerRepository->getAnswers($request);
    }

    public function getAnswer(Request $request)
    {
        return $this->answerRepository->getAnswer($request);
    }

    public function postAnsewers(Request $request)
    {
        return $this->answerRepository->postAnsewers($request);
    }
}
