<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\SettingRepository;
use Illuminate\Http\Request;

class SettingController extends Controller
{
    protected $settingRepository;

    public function __construct(SettingRepository $settingRepository)
    {
        $this->settingRepository = $settingRepository;
    }


    public function getSetting(Request $request)
    {
        return $this->settingRepository->get($request);
    }

    public function getCompanyInfo()
    {
        return $this->settingRepository->getCompanyInfo();
    }

    public function getAllInfo()
    {
        return $this->settingRepository->getAllInfo();
    }
}
