<?php

namespace App\Http\Requests\User;

use Illuminate\Foundation\Http\FormRequest;

class ChangePassword extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'password'      => 'required',
            'pre_password'  => 'required',
            'c_password'    => 'required|same:password',
        ];
    }

    public function messages()
    {
        return [
            'c_password.same:password'  => 'تایید رمز عبور را درست وارد کنید',
            // 'pre_password.unique'  => 'پسورد را به درستی وارد کنید',
        ];
    }
}
