<?php

namespace App\Models;

use Illuminate\Contracts\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VoiceAndSubtitle extends Model
{
    use HasFactory;

    protected $table = 'voices_and_subtitles';

    public function scopeSubtitleFirst(Builder $builder)
    {
        return $builder->orderBy('type', 'desc');
    }

    public function items()
    {
        return $this->belongsToMany(Item::class, 'item_voice_subtitle');
    }
}
