<?php

namespace App\Repository\Eloquent;

use App\Models\User;
use App\Notifications\EmailNotification;
use Illuminate\Http\Request;

class EmailRepository extends BaseRepository{

    public function send(Request $request)
    {
        $user = User::find($request->user_id);
        $user->notify(new EmailNotification(['otp_code' => '718237']));

        return $this->sendResponse();
    }
    
    

}

?>