<?php

namespace App\Http\Controllers;

use App\Repository\Eloquent\CommentRepository;
use Illuminate\Http\Request;

class CommentController extends Controller
{

    protected $commentRepository;

    public function __construct(CommentRepository $commentRepository)
    {
        $this->commentRepository = $commentRepository;
    }

    public function getComments(Request $request)
    {
        return $this->commentRepository->getComments($request);
    }

    public function postComment(Request $request)
    {
        return $this->commentRepository->postComment($request);
    }
    
}
