<?php

namespace App\Http\Controllers;

use App\Models\Comment;
use App\Repository\Eloquent\LikeRepository;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LikeController extends Controller
{
    protected $likeRepository;

    public function __construct(LikeRepository $likeRepository)
    {
        $this->likeRepository = $likeRepository;
    }

    public function like(Request $request) 
    {
        return $this->likeRepository->like($request);
    }
}
