<?php

use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

Route::post('/login',               [UserController::class, 'login'])->name('login');
Route::post('/register',            [UserController::class, 'register'])->name('register');
Route::post('/getOTPCode',          [UserController::class, 'getOTPCode']);
Route::post('/validateOTPCode',     [UserController::class, 'validateOTPCode']);




Route::get('/plans',                [UserController::class, 'plans']);

Route::middleware('auth:sanctum')->get('/logout',               [UserController::class, 'logout']);

Route::middleware('auth:sanctum')->get('/notifications',        [UserController::class, 'getNotifications']);
Route::middleware('auth:sanctum')->post('/sendNotifications',   [UserController::class, 'sendNotifications']);
Route::middleware('auth:sanctum')->get('/info',                 [UserController::class, 'info']);
Route::middleware('auth:sanctum')->post('/addToFavorites',      [UserController::class, 'addToFavorites']);
Route::middleware('auth:sanctum')->post('/deleteFavorites',     [UserController::class, 'deleteFavorites']);
Route::middleware('auth:sanctum')->get('/favorites',            [UserController::class, 'favorites']);
Route::middleware('auth:sanctum')->post('/updateUserInfo',      [UserController::class, 'updateUserInfo']);
Route::middleware('auth:sanctum')->post('/changePassword',      [UserController::class, 'changePassword']);
Route::middleware('auth:sanctum')->get('/itemLiked',            [UserController::class, 'itemLiked']);
Route::middleware('auth:sanctum')->post('/resetPassword',       [UserController::class, 'resetPassword']);



// Route::middleware('auth:sanctum')->post('/register', [UserController::class, 'register'])->name('register');